ruby-dataobjects-mysql_0.10.16-2+b2_amd64.deb


Advertisement

Description

ruby-dataobjects-mysql - MySQL adapter for ruby-dataobjects

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-dataobjects-mysql
Package version 0.10.16
Package release 2+b2
Package architecture amd64
Package type deb
Installed size 83 B
Download size 21.88 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-dataobjects-mysql_0.10.16-2+b2_i386.deb 0.10.16 i386 Debian Main
ruby-dataobjects-mysql - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 -
libmariadbclient18 >= 10.1.28
libruby2.5 >= 2.5.0~preview1
ruby >= 1:2.5~0
ruby << 1:2.6~
ruby-dataobjects >= 0.10.14~
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package ruby-dataobjects-mysql_0.10.16-2+b2_amd64.deb
Source Package ruby-dataobjects-mysql

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-dataobjects-mysql deb package:
    # sudo apt-get install ruby-dataobjects-mysql

Files

Path
/usr/lib/ruby/vendor_ruby/do_mysql.rb
/usr/lib/ruby/vendor_ruby/do_mysql/encoding.rb
/usr/lib/ruby/vendor_ruby/do_mysql/transaction.rb
/usr/lib/ruby/vendor_ruby/do_mysql/version.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/do_mysql/do_mysql.so
/usr/share/doc/ruby-dataobjects-mysql/README.markdown
/usr/share/doc/ruby-dataobjects-mysql/changelog.Debian.amd64.gz
/usr/share/doc/ruby-dataobjects-mysql/changelog.Debian.gz
/usr/share/doc/ruby-dataobjects-mysql/changelog.gz
/usr/share/doc/ruby-dataobjects-mysql/copyright
/usr/share/rubygems-integration/2.5.0/specifications/do_mysql-0.10.16.gemspec

Changelog

2017-01-19 - Christian Hofstaedtler <zeha@debian.org>
ruby-dataobjects-mysql (0.10.16-2) unstable; urgency=medium
* Team upload.
[ Cédric Boutillier ]
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
[ Christian Hofstaedtler ]
* Switch to default-*mysql (Closes: #845905, #841583)
* Add Testsuite: autopkgtest-pkg-ruby (Closes: #830082)
* Bump Standards-Version to 3.9.8 and dh compat level to 10
2015-07-21 - Balasankar C <balasankarc@autistici.org>
ruby-dataobjects-mysql (0.10.16-1) unstable; urgency=medium
[ Balasankar C ]
* Team upload
* Imported new upstream version
* Bump Standards-Version to 3.9.6 (no changes)
[ Tomasz Nitecki ]
* Always shutdown mysqld, even if build fails.
[ Antonio Terceiro ]
* 0030-spec_helper-require-rspec-its.patch: load rspec/its (Closes: #791776)
2014-04-10 - Cédric Boutillier <boutil@debian.org>
ruby-dataobjects-mysql (0.10.14-1) unstable; urgency=medium
* Imported Upstream version 0.10.14
* Bump Standards-Version to 3.9.5 (no changes needed)
2013-06-06 - Cédric Boutillier <boutil@debian.org>
ruby-dataobjects-mysql (0.10.13-1) unstable; urgency=low
* New upstream version
* debian/control: 
+ remove obsolete DM-Upload-Allowed flag
+ use canonical URI in Vcs-* fields
+ drop transitional packages
+ bump Standards-Version to 3.9.4 (no changes needed)
+ update my email address
+ update version dependency for ruby-dataobjects
* debian/copyright: update my email address and years
* remove lintian overrides, about transitional packages
2012-06-26 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-dataobjects-mysql (0.10.8-4) unstable; urgency=low
* Bump build dependency on gem2deb to >= 0.3.0~
2012-05-24 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-dataobjects-mysql (0.10.8-3) unstable; urgency=low
* Build-depend on ruby-dataobjects >= 0.10.8-3~ to ensure that the shared
spec using asynchronous operations is deactivated for all arches, as it
currently fails on hurd-i386 and kfreebsd-i386
2012-05-09 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-dataobjects-mysql (0.10.8-2) unstable; urgency=low
* Do not build-depend on a particular version of mysql.
2012-04-21 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-dataobjects-mysql (0.10.8-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.9.3 (no change needed)
* Use official DEP5 copyright format URL
* Use ruby-tests.rake to run the tests to circumvent the fact that tests are
not run automatically with RSpec >= 2.8.0.
2011-10-25 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-dataobjects-mysql (0.10.7-1) unstable; urgency=low
* New upstream release
* Conversion to gem2deb packaging
+ rename source and binary packages
* Apply 0010_remove_rubygems_from_specs.patch
* Apply 0020_remove_loadpath_manipulation_in_specs.patch
* Add debian/start_mysqld_and_auto_install.sh to start mysqld before
installing and running the test suite
* override lintian warning about duplicate description for transitional
packages
* Add myself as an uploader
2010-05-31 - Deepak Tripathi <apenguinlinux@gmail.com>
libdataobjects-mysql-ruby (0.10.2-1) unstable; urgency=low
* New upstream release.
* debian/watch
+ updated from alioth gemwatch.
* debian/control
+ corrected typo error.
+ updated depends to libddataobjects-ruby1.9 to 1.9.1.

See Also

Package Description
ruby-dataobjects-postgres_0.10.16-1+b5_amd64.deb PostgreSQL adapter for ruby-dataobjects
ruby-dataobjects-sqlite3_0.10.16-1+b5_amd64.deb SQLite adapter for ruby-dataobjects
ruby-dataobjects_0.10.16-1_all.deb Unified interface to various databases for Ruby
ruby-dbf_3.0.5-1_all.deb small fast Ruby library for reading database files
ruby-dbus_0.13.0-1_all.deb Ruby binding for D-Bus
ruby-ddmemoize_1.0.0-1_all.deb Ruby library providing support for memoizing functions
ruby-ddmetrics_1.0.1-1_all.deb Non-timeseries measurements for Ruby programs
ruby-ddplugin_1.0.2-1_all.deb plugins management for Ruby apps
ruby-debian_0.3.9+b8_amd64.deb ruby interface for dpkg
ruby-declarative-option_0.1.0-1_all.deb Dynamic options for declarative to evaluate at runtime
ruby-declarative_0.0.9-1_all.deb DSL for nested schemas
ruby-deep-merge_1.1.1-1_all.deb recursively merge Hash elements in Ruby
ruby-default-value-for_3.1.0-1_all.deb provides a way to specify default values for ActiveRecord models
ruby-delayed-job-active-record_4.1.3-1_all.deb ActiveRecord backend for DelayedJob
ruby-delayed-job_4.1.5-1_all.deb database-backed asynchronous priority queue system
Advertisement
Advertisement